@import '@/styles/variables';

.wrapper {
  background-color: $color-primary-100;

  @include custom-min-width($lg) {
    position: relative;
    overflow: hidden;

    &::before {
      content: '';
      position: absolute;
      top: 0;
      right: 0;
      width: 20%;
      height: 100%;
      background-color: $color-white;
    }

    &::after {
      content: url(/assets/icons/globe.svg);
      position: absolute;
      bottom: 0;
      right: -85px;
      width: 300px;
    }
  }

  @include custom-min-width($xxl) {
    &::before {
      width: 30%;
    }
  }
}

.content {
  height: 100%;

  @include custom-min-width($lg) {
    display: flex;
    justify-content: space-between;
    position: relative;

    @include container;
  }
}

.main {
  display: grid;
  row-gap: 32px;
  padding-top: 32px;

  @include custom-min-width($lg) {
    padding-bottom: 54px;
  }

  @include custom-min-width($xl) {
    padding-top: 72px;
    padding-bottom: 32px;
  }
}

.aside {
  padding-bottom: 20px;
  margin-top: 32px;

  @include custom-min-width($md) {
    padding-bottom: 30px;
  }

  @include custom-min-width($lg) {
    background-color: $color-white;
    position: relative;
    padding-inline: 16px;
    padding-bottom: 54px;
    padding-top: 32px;
    margin-top: 0;
  }

  @include custom-min-width($xl) {
    padding-top: 72px;
    padding-bottom: 32px;
    padding-inline: 32px;
  }
}
